<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/3_game/dayzexpansion_basebuilding/settings/territory/expansionterritorysettings.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d61/expansionterritorysettings_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle"><div class="title">expansionterritorysettings.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d3/d61/expansionterritorysettings_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d0/d47/class_expansion_territory_settings_base.html">ExpansionTerritorySettingsBase</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">Territory settings base class.  <a href="../../d0/d47/class_expansion_territory_settings_base.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ae3e27fdaa6ddb0d424626c1f0b3aad2e"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#ae3e27fdaa6ddb0d424626c1f0b3aad2e">OnRecieve</a> (ParamsReadContext ctx)</td></tr>
<tr class="separator:ae3e27fdaa6ddb0d424626c1f0b3aad2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af2c207d1a6c5eea63c6296925ace1d76"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#af2c207d1a6c5eea63c6296925ace1d76">OnSend</a> (ParamsWriteContext ctx)</td></tr>
<tr class="separator:af2c207d1a6c5eea63c6296925ace1d76"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f26e3b21fa656c6d6048f82cfb30a72"><td class="memItemLeft" align="right" valign="top">override int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a8f26e3b21fa656c6d6048f82cfb30a72">Send</a> (PlayerIdentity identity)</td></tr>
<tr class="separator:a8f26e3b21fa656c6d6048f82cfb30a72"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bc9f37c8b51353bb7abe4a847ec9846"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a8bc9f37c8b51353bb7abe4a847ec9846">Copy</a> (ExpansionSettingBase setting)</td></tr>
<tr class="separator:a8bc9f37c8b51353bb7abe4a847ec9846"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35f99980d4f7df05b56bf1b48bbb87ef"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a35f99980d4f7df05b56bf1b48bbb87ef">CopyInternal</a> (<a class="el" href="../../df/d8f/class_expansion_territory_settings.html">ExpansionTerritorySettings</a> s)</td></tr>
<tr class="separator:a35f99980d4f7df05b56bf1b48bbb87ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a0fa6d94d0c59f58757d664e5ebb15a"><td class="memItemLeft" align="right" valign="top">private void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a9a0fa6d94d0c59f58757d664e5ebb15a">CopyInternal</a> (<a class="el" href="../../d0/d47/class_expansion_territory_settings_base.html">ExpansionTerritorySettingsBase</a> s)</td></tr>
<tr class="separator:a9a0fa6d94d0c59f58757d664e5ebb15a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9eab3191d8b7cc0f5414602631292b8"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#ad9eab3191d8b7cc0f5414602631292b8">IsLoaded</a> ()</td></tr>
<tr class="separator:ad9eab3191d8b7cc0f5414602631292b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a064d4576e4b054e72d5de632a7d09a63"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a064d4576e4b054e72d5de632a7d09a63">Unload</a> ()</td></tr>
<tr class="separator:a064d4576e4b054e72d5de632a7d09a63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3578afd97750bc428c2737e242dffd3d"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a3578afd97750bc428c2737e242dffd3d">OnLoad</a> ()</td></tr>
<tr class="separator:a3578afd97750bc428c2737e242dffd3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9fb9cc278f9d90f49e9dd9ce5ce40d43"><td class="memItemLeft" align="right" valign="top">override bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a9fb9cc278f9d90f49e9dd9ce5ce40d43">OnSave</a> ()</td></tr>
<tr class="separator:a9fb9cc278f9d90f49e9dd9ce5ce40d43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac06ab75f9e6f636d8b7c17685037667e"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#ac06ab75f9e6f636d8b7c17685037667e">Defaults</a> ()</td></tr>
<tr class="separator:ac06ab75f9e6f636d8b7c17685037667e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46ab2e61c4bb8c8b19c3aece63908a50"><td class="memItemLeft" align="right" valign="top">override string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a46ab2e61c4bb8c8b19c3aece63908a50">SettingName</a> ()</td></tr>
<tr class="separator:a46ab2e61c4bb8c8b19c3aece63908a50"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="var-members" name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a3ff335cd5d8861f0a1aa07a280a451ba"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a3ff335cd5d8861f0a1aa07a280a451ba">EnableTerritories</a></td></tr>
<tr class="separator:a3ff335cd5d8861f0a1aa07a280a451ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a403ed449c1c5efd661a8a1c6717c7cad"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a403ed449c1c5efd661a8a1c6717c7cad">UseWholeMapForInviteList</a></td></tr>
<tr class="memdesc:a403ed449c1c5efd661a8a1c6717c7cad"><td class="mdescLeft">&#160;</td><td class="mdescRight">If enabled, use the expansion territory system.  <a href="../../d3/d61/expansionterritorysettings_8c.html#a403ed449c1c5efd661a8a1c6717c7cad">More...</a><br /></td></tr>
<tr class="separator:a403ed449c1c5efd661a8a1c6717c7cad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc2067c46a67c76ef1dba01f21a015e6"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#afc2067c46a67c76ef1dba01f21a015e6">TerritorySize</a></td></tr>
<tr class="memdesc:afc2067c46a67c76ef1dba01f21a015e6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use it if you want whole map available in invite list, instead only nearby players.  <a href="../../d3/d61/expansionterritorysettings_8c.html#afc2067c46a67c76ef1dba01f21a015e6">More...</a><br /></td></tr>
<tr class="separator:afc2067c46a67c76ef1dba01f21a015e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a2d1e19df817c90c1f8c9c18b8db3c5"><td class="memItemLeft" align="right" valign="top">float TerritoryPerimeterSize int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a7a2d1e19df817c90c1f8c9c18b8db3c5">MaxMembersInTerritory</a></td></tr>
<tr class="memdesc:a7a2d1e19df817c90c1f8c9c18b8db3c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">The radius of a territory in meters.  <a href="../../d3/d61/expansionterritorysettings_8c.html#a7a2d1e19df817c90c1f8c9c18b8db3c5">More...</a><br /></td></tr>
<tr class="separator:a7a2d1e19df817c90c1f8c9c18b8db3c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21482c9835487af418d7e2c412d1d442"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a21482c9835487af418d7e2c412d1d442">MaxTerritoryPerPlayer</a></td></tr>
<tr class="memdesc:a21482c9835487af418d7e2c412d1d442"><td class="mdescLeft">&#160;</td><td class="mdescRight">If &lt;= 0, unlimited territory size.  <a href="../../d3/d61/expansionterritorysettings_8c.html#a21482c9835487af418d7e2c412d1d442">More...</a><br /></td></tr>
<tr class="separator:a21482c9835487af418d7e2c412d1d442"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae48ea820d6b3acc7353b763034c772af"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#ae48ea820d6b3acc7353b763034c772af">VERSION</a> = 2</td></tr>
<tr class="separator:ae48ea820d6b3acc7353b763034c772af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0660d5e16dbc928e9daa81f4380250d4"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a0660d5e16dbc928e9daa81f4380250d4">TerritoryAuthenticationRadius</a></td></tr>
<tr class="separator:a0660d5e16dbc928e9daa81f4380250d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5521ad2d5fb3360b7943c9cbc422642a"><td class="memItemLeft" align="right" valign="top">private bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">m_IsLoaded</a></td></tr>
<tr class="memdesc:a5521ad2d5fb3360b7943c9cbc422642a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Players need to be in this radius to be able to accept a territory invite.  <a href="../../d3/d61/expansionterritorysettings_8c.html#a5521ad2d5fb3360b7943c9cbc422642a">More...</a><br /></td></tr>
<tr class="separator:a5521ad2d5fb3360b7943c9cbc422642a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a8bc9f37c8b51353bb7abe4a847ec9846" name="a8bc9f37c8b51353bb7abe4a847ec9846"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bc9f37c8b51353bb7abe4a847ec9846">&#9670;&#160;</a></span>Copy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool Copy </td>
          <td>(</td>
          <td class="paramtype">ExpansionSettingBase&#160;</td>
          <td class="paramname"><em>setting</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00094">94</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a35f99980d4f7df05b56bf1b48bbb87ef" name="a35f99980d4f7df05b56bf1b48bbb87ef"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35f99980d4f7df05b56bf1b48bbb87ef">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../df/d8f/class_expansion_territory_settings.html">ExpansionTerritorySettings</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00110">110</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a9a0fa6d94d0c59f58757d664e5ebb15a" name="a9a0fa6d94d0c59f58757d664e5ebb15a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a0fa6d94d0c59f58757d664e5ebb15a">&#9670;&#160;</a></span>CopyInternal() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private void CopyInternal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d0/d47/class_expansion_territory_settings_base.html">ExpansionTerritorySettingsBase</a>&#160;</td>
          <td class="paramname"><em>s</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00123">123</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="ac06ab75f9e6f636d8b7c17685037667e" name="ac06ab75f9e6f636d8b7c17685037667e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac06ab75f9e6f636d8b7c17685037667e">&#9670;&#160;</a></span>Defaults()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Defaults </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00216">216</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="ad9eab3191d8b7cc0f5414602631292b8" name="ad9eab3191d8b7cc0f5414602631292b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad9eab3191d8b7cc0f5414602631292b8">&#9670;&#160;</a></span>IsLoaded()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool IsLoaded </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00138">138</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a3578afd97750bc428c2737e242dffd3d" name="a3578afd97750bc428c2737e242dffd3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3578afd97750bc428c2737e242dffd3d">&#9670;&#160;</a></span>OnLoad()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnLoad </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Copy over old settings that haven't changed</p>

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00150">150</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="ae3e27fdaa6ddb0d424626c1f0b3aad2e" name="ae3e27fdaa6ddb0d424626c1f0b3aad2e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae3e27fdaa6ddb0d424626c1f0b3aad2e">&#9670;&#160;</a></span>OnRecieve()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnRecieve </td>
          <td>(</td>
          <td class="paramtype">ParamsReadContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00039">39</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a9fb9cc278f9d90f49e9dd9ce5ce40d43" name="a9fb9cc278f9d90f49e9dd9ce5ce40d43"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9fb9cc278f9d90f49e9dd9ce5ce40d43">&#9670;&#160;</a></span>OnSave()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override bool OnSave </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00207">207</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="af2c207d1a6c5eea63c6296925ace1d76" name="af2c207d1a6c5eea63c6296925ace1d76"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af2c207d1a6c5eea63c6296925ace1d76">&#9670;&#160;</a></span>OnSend()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void OnSend </td>
          <td>(</td>
          <td class="paramtype">ParamsWriteContext&#160;</td>
          <td class="paramname"><em>ctx</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00064">64</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a8f26e3b21fa656c6d6048f82cfb30a72" name="a8f26e3b21fa656c6d6048f82cfb30a72"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8f26e3b21fa656c6d6048f82cfb30a72">&#9670;&#160;</a></span>Send()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override int Send </td>
          <td>(</td>
          <td class="paramtype">PlayerIdentity&#160;</td>
          <td class="paramname"><em>identity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00076">76</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a46ab2e61c4bb8c8b19c3aece63908a50" name="a46ab2e61c4bb8c8b19c3aece63908a50"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a46ab2e61c4bb8c8b19c3aece63908a50">&#9670;&#160;</a></span>SettingName()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override string SettingName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00230">230</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a064d4576e4b054e72d5de632a7d09a63" name="a064d4576e4b054e72d5de632a7d09a63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a064d4576e4b054e72d5de632a7d09a63">&#9670;&#160;</a></span>Unload()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">override void Unload </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00144">144</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a id="a3ff335cd5d8861f0a1aa07a280a451ba" name="a3ff335cd5d8861f0a1aa07a280a451ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ff335cd5d8861f0a1aa07a280a451ba">&#9670;&#160;</a></span>EnableTerritories</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool EnableTerritories</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00018">18</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a5521ad2d5fb3360b7943c9cbc422642a" name="a5521ad2d5fb3360b7943c9cbc422642a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5521ad2d5fb3360b7943c9cbc422642a">&#9670;&#160;</a></span>m_IsLoaded</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">private bool m_IsLoaded</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Players need to be in this radius to be able to accept a territory invite. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00036">36</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a7a2d1e19df817c90c1f8c9c18b8db3c5" name="a7a2d1e19df817c90c1f8c9c18b8db3c5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7a2d1e19df817c90c1f8c9c18b8db3c5">&#9670;&#160;</a></span>MaxMembersInTerritory</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TerritoryPerimeterSize int MaxMembersInTerritory</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The radius of a territory in meters. </p>
<p >The radius who prevent territories to overlap </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00022">22</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a21482c9835487af418d7e2c412d1d442" name="a21482c9835487af418d7e2c412d1d442"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a21482c9835487af418d7e2c412d1d442">&#9670;&#160;</a></span>MaxTerritoryPerPlayer</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int MaxTerritoryPerPlayer</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If &lt;= 0, unlimited territory size. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00023">23</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a0660d5e16dbc928e9daa81f4380250d4" name="a0660d5e16dbc928e9daa81f4380250d4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0660d5e16dbc928e9daa81f4380250d4">&#9670;&#160;</a></span>TerritoryAuthenticationRadius</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TerritoryAuthenticationRadius</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00033">33</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="afc2067c46a67c76ef1dba01f21a015e6" name="afc2067c46a67c76ef1dba01f21a015e6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afc2067c46a67c76ef1dba01f21a015e6">&#9670;&#160;</a></span>TerritorySize</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float TerritorySize</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Use it if you want whole map available in invite list, instead only nearby players. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00020">20</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="a403ed449c1c5efd661a8a1c6717c7cad" name="a403ed449c1c5efd661a8a1c6717c7cad"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a403ed449c1c5efd661a8a1c6717c7cad">&#9670;&#160;</a></span>UseWholeMapForInviteList</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool UseWholeMapForInviteList</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>If enabled, use the expansion territory system. </p>

<p class="definition">Definition at line <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html#l00019">19</a> of file <a class="el" href="../../d3/d61/expansionterritorysettings_8c_source.html">expansionterritorysettings.c</a>.</p>

</div>
</div>
<a id="ae48ea820d6b3acc7353b763034c772af" name="ae48ea820d6b3acc7353b763034c772af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae48ea820d6b3acc7353b763034c772af">&#9670;&#160;</a></span>VERSION</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">VERSION = 2</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_cfa8f60b9ac67413870803426bb1c9a7.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_2cab589dc3320fe1c6a6de0dd92f0729.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_8c4fd4731b500c1579cab67a65651f1c.html">settings</a></li><li class="navelem"><a class="el" href="../../dir_cdaf07508d9b7499d5ea801b84f4aed5.html">territory</a></li><li class="navelem"><a class="el" href="../../d3/d61/expansionterritorysettings_8c.html">expansionterritorysettings.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
